Bug 39709 - Creating large filesystems may take extremely long time.
Creating large filesystems may take extremely long time.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-08 15:21 EDT by Bryan Leopard
Modified: 2007-04-18 12:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-26 11:17:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Leopard 2001-05-08 15:21:24 EDT
Description of Problem:

Creating a large ext2 filesystem on Smart Array 5300 may take an 
extraordinarily long time to complete. The process starts out normally, 
but slows during the creation of the inode tables.
Creating a filesytem of about 175gB on an ADG volume took about 8 to 10 
minutes to complete. Creating the same filesystem when using the 2.4.3 
tree downloaded fron kernel.org completed within a couple of minutes.
Current configuration:
Compaq IA64 System pilot-4 w/2 C0 processors & 8gB RAM
Smart Array 5300 in slot 2 w/2 logical volumes
Smart Array 5300 in slot3 w/2 logical volumes
Boot controller: Smart Array 5300 Controller
Comment 1 Aaron Brown 2001-05-08 15:38:28 EDT
You filed this under i386, but reported observing the problem on an IA-64.
Have you observed this on i386 as well?

Please remember to file Itanium defects under ia64 in the future.
Comment 2 Florian La Roche 2001-05-08 16:02:19 EDT
What beta version have you tried this with? What is the kernel version?

Thanks,

Florian La Roche
Comment 3 Bryan Leopard 2001-05-10 10:21:16 EDT
This was tried with Beta 3 and kernel 2.4.3.
Comment 4 Florian La Roche 2001-05-16 04:01:32 EDT
Re-assigned to the kernel.
Comment 5 Arjan van de Ven 2001-05-16 04:21:13 EDT
Al, is this the O(N^2) buffer algo ?
Comment 6 Glen Foster 2001-07-13 16:09:55 EDT
This defect considered SHOULD-FIX for Fairfax gold-release.
Comment 7 Arjan van de Ven 2001-08-02 15:51:12 EDT
It would be very interesting to know if the 2.4.7-0.4 kernel still has this
behavior; the relevant kernelcode is totally rewritten to get rid of bad
algorithms and such.
Comment 8 Bryan Leopard 2001-08-02 16:21:27 EDT
Comments from Compaq Engineer

The comments from RedHat indicate they have their own 2.4.7 (version 2.4.7-
0.4). When will we see that? Or do they want to know if it's fixed in the 
kernel.org tree?
Comment 9 Arjan van de Ven 2001-08-02 16:28:24 EDT
2.4.7-0.3 was released to the betatime about half an hour ago, that's the same
as 2.4.7-0.4 which will have a rpm depenency fix in it.

Note You need to log in before you can comment on or make changes to this bug.